petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscMatlabEngineEvaluate

Evaluates a string in MATLAB

### Synopsis

    #include "petscmatlab.h"
    PetscErrorCode  PetscMatlabEngineEvaluate(PetscMatlabEngine mengine,const char string[],...)

Not Collective Many br

### Input Parameters

| mengine | - the MATLAB engine Many br
| string | - format as in a printf() Many br

Many br

### See Also

PetscMatlabEngineDestroy(), PetscMatlabEnginePut(), PetscMatlabEngineGet(),
PetscMatlabEngineCreate(), PetscMatlabEngineGetOutput(), PetscMatlabEnginePrintOutput(), Many brPETSC_MATLAB_ENGINE_(), PetscMatlabEnginePutArray(), PetscMatlabEngineGetArray(), PetscMatlabEngine Many br

Level:advanced
Location:src/sys/classes/matlabengine/matlab.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex5.c.html